| create | PUT /restapi/v2/accounts/{accountId}/envelopes/{envelopeId}/attachments Add one or more attachments to a DRAFT or IN-PROCESS envelope. |
| delete | DEL /restapi/v2/accounts/{accountId}/envelopes/{envelopeId}/attachments Delete one or more attachments from a DRAFT envelope. |
| get | GET /restapi/v2/accounts/{accountId}/envelopes/{envelopeId}/attachments/{attachmentId} Retrieves an attachment from the envelope. |
| list | GET /restapi/v2/accounts/{accountId}/envelopes/{envelopeId}/attachments Returns a list of attachments associated with the specified envelope |
| update | PUT /restapi/v2/accounts/{accountId}/envelopes/{envelopeId}/attachments/{attachmentId} Add an attachment to a DRAFT or IN-PROCESS envelope. |